Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for Batch/FTP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.eways.batchext
Interface FtpFileConfigConstants

    public interface FtpFileConfigConstants

Author:
  jim.fu@sun.com TODO To change the template for this generated type comment go to Window - Preferences - Java - Code Style - Code Templates

Field Summary
`static java.lang.String` | `C_P_FTP_HOST`
`static java.lang.String` | `C_P_FTP_LST_STYLE`
`static java.lang.String` | `C_P_FTP_PASSIVE_ON`
`static java.lang.String` | `C_P_FTP_PASSWD`
`static java.lang.String` | `C_P_FTP_PORT`
`static java.lang.String` | `C_P_FTP_UDH_CFG`
`static java.lang.String` | `C_P_FTP_UDH_LST_STYLE`
`static java.lang.String` | `C_P_FTP_USR`
`static java.lang.String` | `C_P_GEN_CONN_MODE`
`static java.lang.String` | `C_P_GEN_SYNC`
`static java.lang.String` | `C_P_SOC_HOST`
`static java.lang.String` | `C_P_SOC_ON`
`static java.lang.String` | `C_P_SOC_PASSWD`
`static java.lang.String` | `C_P_SOC_PORT`
`static java.lang.String` | `C_P_SOC_USR`
`static java.lang.String` | `C_P_SOC_VER`
`static java.lang.String` | `C_P_SSH_CH_EST`
`static java.lang.String` | `C_P_SSH_CMD`
`static java.lang.String` | `C_P_SSH_LISTEN_HOST`
`static java.lang.String` | `C_P_SSH_LISTEN_PORT`
`static java.lang.String` | `C_P_SSH_ON`
`static java.lang.String` | `C_P_SSH_PASSWD`
`static java.lang.String` | `C_P_SSH_USR`
`static java.lang.String` | `CONNRETRY_INTERVAL`
`static java.lang.String` | `CONNRETRY_MAXRETRIES`
`static java.lang.String` | `P_CONN_INACT_TIMEOUT`
`static java.lang.String` | `P_CONN_VERIF_INTERVAL`
`static java.lang.String` | `P_DYN_CFG_ACT_ON_MAL_CMD`
`static java.lang.String` | `P_DYN_CFG_INCL_ORD_IN_ERR`
`static java.lang.String` | `P_DYN_CFG_INCL_PAYLOAD_IN_ERR`
`static java.lang.String` | `P_DYN_CFG_PUB_STAT_ON_ERR`
`static java.lang.String` | `P_DYN_CFG_PUB_STAT_ON_OK`
`static java.lang.String` | `P_EXTENSION_CLIENT_CLAZZ`
`static java.lang.String` | `P_EXTENSION_PROVIDER_CLAZZ`
`static java.lang.String` | `P_EXTENSION_USR_PROPS`
`static java.lang.String` | `P_FTP_CMD_TIMEOUT`
`static java.lang.String` | `P_FTP_DAT_TIMEOUT`
`static java.lang.String` | `P_FTP_MODE`
`static java.lang.String` | `P_GEN_BASE_LOC`
`static java.lang.String` | `P_GEN_TRNS_TYPE`
`static java.lang.String` | `P_POST_CMD`
`static java.lang.String` | `P_POST_DIR`
`static java.lang.String` | `P_POST_DIR_PATT`
`static java.lang.String` | `P_POST_FILE`
`static java.lang.String` | `P_POST_FILE_PATT`
`static java.lang.String` | `P_PRE_CMD`
`static java.lang.String` | `P_PRE_DIR`
`static java.lang.String` | `P_PRE_DIR_PATT`
`static java.lang.String` | `P_PRE_FILE`
`static java.lang.String` | `P_PRE_FILE_PATT`
`static java.lang.String` | `P_RAW_POST_CMD`
`static java.lang.String` | `P_RAW_PRE_CMD`
`static java.lang.String` | `P_SEQ_MAX`
`static java.lang.String` | `P_SEQ_START`
`static java.lang.String` | `P_TGT_APPND`
`static java.lang.String` | `P_TGT_DIR`
`static java.lang.String` | `P_TGT_DIR_PATT`
`static java.lang.String` | `P_TGT_FILE`
`static java.lang.String` | `P_TGT_FILE_PATT`
`static java.lang.String` | `S_CONNECTOR`
`static java.lang.String` | `S_DYN_CFG`
`static java.lang.String` | `S_EXTENSION`
`static java.lang.String` | `S_FTP`
`static java.lang.String` | `S_FTP_RAW`
`static java.lang.String` | `S_GEN_SETTINGS`
`static java.lang.String` | `S_POST_TRNS`
`static java.lang.String` | `S_PRE_TRNS`
`static java.lang.String` | `S_SEQ`
`static java.lang.String` | `S_SOCKS`
`static java.lang.String` | `S_SSH`
`static java.lang.String` | `S_TARGET`

Field Detail

### CONNRETRY_MAXRETRIES

    static final java.lang.String CONNRETRY_MAXRETRIES

See Also:
  Constant Field Values

### CONNRETRY_INTERVAL

    static final java.lang.String CONNRETRY_INTERVAL

See Also:
  Constant Field Values

### S_FTP

    static final java.lang.String S_FTP

See Also:
  Constant Field Values

### S_PRE_TRNS

    static final java.lang.String S_PRE_TRNS

See Also:
  Constant Field Values

### S_POST_TRNS

    static final java.lang.String S_POST_TRNS

See Also:
  Constant Field Values

### S_GEN_SETTINGS

    static final java.lang.String S_GEN_SETTINGS

See Also:
  Constant Field Values

### S_SOCKS

    static final java.lang.String S_SOCKS

See Also:
  Constant Field Values

### S_FTP_RAW

    static final java.lang.String S_FTP_RAW

See Also:
  Constant Field Values

### S_TARGET

    static final java.lang.String S_TARGET

See Also:
  Constant Field Values

### S_SEQ

    static final java.lang.String S_SEQ

See Also:
  Constant Field Values

### S_EXTENSION

    static final java.lang.String S_EXTENSION

See Also:
  Constant Field Values

### S_DYN_CFG

    static final java.lang.String S_DYN_CFG

See Also:
  Constant Field Values

### S_SSH

    static final java.lang.String S_SSH

See Also:
  Constant Field Values

### S_CONNECTOR

    static final java.lang.String S_CONNECTOR

See Also:
  Constant Field Values

### P_GEN_TRNS_TYPE

    static final java.lang.String P_GEN_TRNS_TYPE

See Also:
  Constant Field Values

### P_GEN_BASE_LOC

    static final java.lang.String P_GEN_BASE_LOC

See Also:
  Constant Field Values

### C_P_GEN_SYNC

    static final java.lang.String C_P_GEN_SYNC

See Also:
  Constant Field Values

### C_P_GEN_CONN_MODE

    static final java.lang.String C_P_GEN_CONN_MODE

See Also:
  Constant Field Values

### C_P_FTP_LST_STYLE

    static final java.lang.String C_P_FTP_LST_STYLE

See Also:
  Constant Field Values

### C_P_FTP_HOST

    static final java.lang.String C_P_FTP_HOST

See Also:
  Constant Field Values

### C_P_FTP_USR

    static final java.lang.String C_P_FTP_USR

See Also:
  Constant Field Values

### C_P_FTP_PASSWD

    static final java.lang.String C_P_FTP_PASSWD

See Also:
  Constant Field Values

### C_P_FTP_UDH_CFG

    static final java.lang.String C_P_FTP_UDH_CFG

See Also:
  Constant Field Values

### C_P_FTP_UDH_LST_STYLE

    static final java.lang.String C_P_FTP_UDH_LST_STYLE

See Also:
  Constant Field Values

### C_P_FTP_PORT

    static final java.lang.String C_P_FTP_PORT

See Also:
  Constant Field Values

### P_FTP_MODE

    static final java.lang.String P_FTP_MODE

See Also:
  Constant Field Values

### C_P_FTP_PASSIVE_ON

    static final java.lang.String C_P_FTP_PASSIVE_ON

See Also:
  Constant Field Values

### P_FTP_CMD_TIMEOUT

    static final java.lang.String P_FTP_CMD_TIMEOUT

See Also:
  Constant Field Values

### P_FTP_DAT_TIMEOUT

    static final java.lang.String P_FTP_DAT_TIMEOUT

See Also:
  Constant Field Values

### P_TGT_DIR

    static final java.lang.String P_TGT_DIR

See Also:
  Constant Field Values

### P_TGT_DIR_PATT

    static final java.lang.String P_TGT_DIR_PATT

See Also:
  Constant Field Values

### P_TGT_FILE

    static final java.lang.String P_TGT_FILE

See Also:
  Constant Field Values

### P_TGT_FILE_PATT

    static final java.lang.String P_TGT_FILE_PATT

See Also:
  Constant Field Values

### P_TGT_APPND

    static final java.lang.String P_TGT_APPND

See Also:
  Constant Field Values

### P_PRE_CMD

    static final java.lang.String P_PRE_CMD

See Also:
  Constant Field Values

### P_PRE_DIR

    static final java.lang.String P_PRE_DIR

See Also:
  Constant Field Values

### P_PRE_DIR_PATT

    static final java.lang.String P_PRE_DIR_PATT

See Also:
  Constant Field Values

### P_PRE_FILE

    static final java.lang.String P_PRE_FILE

See Also:
  Constant Field Values

### P_PRE_FILE_PATT

    static final java.lang.String P_PRE_FILE_PATT

See Also:
  Constant Field Values

### P_POST_CMD

    static final java.lang.String P_POST_CMD

See Also:
  Constant Field Values

### P_POST_DIR

    static final java.lang.String P_POST_DIR

See Also:
  Constant Field Values

### P_POST_DIR_PATT

    static final java.lang.String P_POST_DIR_PATT

See Also:
  Constant Field Values

### P_POST_FILE

    static final java.lang.String P_POST_FILE

See Also:
  Constant Field Values

### P_POST_FILE_PATT

    static final java.lang.String P_POST_FILE_PATT

See Also:
  Constant Field Values

### P_RAW_PRE_CMD

    static final java.lang.String P_RAW_PRE_CMD

See Also:
  Constant Field Values

### P_RAW_POST_CMD

    static final java.lang.String P_RAW_POST_CMD

See Also:
  Constant Field Values

### P_SEQ_START

    static final java.lang.String P_SEQ_START

See Also:
  Constant Field Values

### P_SEQ_MAX

    static final java.lang.String P_SEQ_MAX

See Also:
  Constant Field Values

### C_P_SOC_ON

    static final java.lang.String C_P_SOC_ON

See Also:
  Constant Field Values

### C_P_SOC_HOST

    static final java.lang.String C_P_SOC_HOST

See Also:
  Constant Field Values

### C_P_SOC_PORT

    static final java.lang.String C_P_SOC_PORT

See Also:
  Constant Field Values

### C_P_SOC_USR

    static final java.lang.String C_P_SOC_USR

See Also:
  Constant Field Values

### C_P_SOC_PASSWD

    static final java.lang.String C_P_SOC_PASSWD

See Also:
  Constant Field Values

### C_P_SOC_VER

    static final java.lang.String C_P_SOC_VER

See Also:
  Constant Field Values

### C_P_SSH_ON

    static final java.lang.String C_P_SSH_ON

See Also:
  Constant Field Values

### C_P_SSH_CH_EST

    static final java.lang.String C_P_SSH_CH_EST

See Also:
  Constant Field Values

### C_P_SSH_CMD

    static final java.lang.String C_P_SSH_CMD

See Also:
  Constant Field Values

### C_P_SSH_LISTEN_HOST

    static final java.lang.String C_P_SSH_LISTEN_HOST

See Also:
  Constant Field Values

### C_P_SSH_LISTEN_PORT

    static final java.lang.String C_P_SSH_LISTEN_PORT

See Also:
  Constant Field Values

### C_P_SSH_USR

    static final java.lang.String C_P_SSH_USR

See Also:
  Constant Field Values

### C_P_SSH_PASSWD

    static final java.lang.String C_P_SSH_PASSWD

See Also:
  Constant Field Values

### P_EXTENSION_PROVIDER_CLAZZ

    static final java.lang.String P_EXTENSION_PROVIDER_CLAZZ

See Also:
  Constant Field Values

### P_EXTENSION_CLIENT_CLAZZ

    static final java.lang.String P_EXTENSION_CLIENT_CLAZZ

See Also:
  Constant Field Values

### P_EXTENSION_USR_PROPS

    static final java.lang.String P_EXTENSION_USR_PROPS

See Also:
  Constant Field Values

### P_CONN_INACT_TIMEOUT

    static final java.lang.String P_CONN_INACT_TIMEOUT

See Also:
  Constant Field Values

### P_CONN_VERIF_INTERVAL

    static final java.lang.String P_CONN_VERIF_INTERVAL

See Also:
  Constant Field Values

### P_DYN_CFG_PUB_STAT_ON_OK

    static final java.lang.String P_DYN_CFG_PUB_STAT_ON_OK

See Also:
  Constant Field Values

### P_DYN_CFG_PUB_STAT_ON_ERR

    static final java.lang.String P_DYN_CFG_PUB_STAT_ON_ERR

See Also:
  Constant Field Values

### P_DYN_CFG_INCL_ORD_IN_ERR

    static final java.lang.String P_DYN_CFG_INCL_ORD_IN_ERR

See Also:
  Constant Field Values

### P_DYN_CFG_INCL_PAYLOAD_IN_ERR

    static final java.lang.String P_DYN_CFG_INCL_PAYLOAD_IN_ERR

See Also:
  Constant Field Values

### P_DYN_CFG_ACT_ON_MAL_CMD

    static final java.lang.String P_DYN_CFG_ACT_ON_MAL_CMD

See Also:
  Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for Batch/FTP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD